# HG changeset patch
# User lana
# Date 1270764132 25200
# Node ID ffde6191f84da48cba72cc8a56c1b6518f65930b
# Parent  7077b95d42f6b3942a8751bba033801ff50e5889# Parent  204e24e427b02deabe153903bc2ad177124de678
Merge

diff -r 7077b95d42f6 -r ffde6191f84d make/jprt.properties
--- a/make/jprt.properties	Wed Jul 05 17:09:16 2017 +0200
+++ b/make/jprt.properties	Thu Apr 08 15:02:12 2010 -0700
@@ -62,6 +62,7 @@
 
 # Test targets in test/Makefile
 jprt.make.rule.test.targets=   \
+  *-product-*-langtools_jtreg, \
   *-product-*-jdk_beans1,      \
   *-product-*-jdk_beans2,      \
   *-product-*-jdk_beans3,      \
@@ -84,7 +85,6 @@
   *-product-*-jdk_util
 
 # Not Ready Yet:
-#   *-product-*-langtools_all
 #   *-product-*-jdk_awt
 #   *-product-*-jdk_rmi
 #   *-product-*-jdk_swing
diff -r 7077b95d42f6 -r ffde6191f84d test/Makefile
--- a/test/Makefile	Wed Jul 05 17:09:16 2017 +0200
+++ b/test/Makefile	Thu Apr 08 15:02:12 2010 -0700
@@ -42,6 +42,7 @@
     $(MAKE) -C $1/test $2 ; \
   else \
     echo "ERROR: File does not exist: $1/test/Makefile"; \
+    exit 1; \
   fi; \
 else \
   echo "WARNING: No testing done, directory does not exist: $1"; \
@@ -49,7 +50,7 @@
 endef
 
 # Test target list for langtools repository
-LANGTOOLS_TEST_LIST = langtools_all
+LANGTOOLS_TEST_LIST = langtools_jtreg
 
 # Test target list for jdk repository
 JDK_TEST_LIST = \
@@ -74,7 +75,7 @@
 
 # Test targets
 $(LANGTOOLS_TEST_LIST):
-	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), all)
+	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), $(subst langtools_,,$@))
 $(JDK_TEST_LIST):
 	@$(call SUBDIR_TEST, $(JDK_DIR), $@)